--[[

$Revision: 24 $

(C) Copyright 2009 Bethink (bethink at naef dot com)
See LICENSE.txt for license terms.

]]


----------------------------------------------------------------------
-- Initialization

local L = LibStub("AceLocale-3.0"):GetLocale("BossNotes")


----------------------------------------------------------------------
-- Encounters

BOSS_NOTES_ENCOUNTERS = {
	-- Wrath of the Lich King Raid
	{
		set = "WotlkRaid",
		name = L["WotlkRaid"],
		default = true,
		instances = {
			{
				instance = "VaultOfArchavon",
				encounters = {
					{
						encounter = 31125,
					}
				}
			},
			{
				instance = "Naxxramas",
				encounters = {
					{
						-- Anub'rekhan
						encounter = 15956,
					},
					{
						-- Grand Widow Faerlina
						encounter = 15953,
					},
					{
						-- Maexxna
						encounter = 15952,
					},
					{
						-- Noth the Plaguebringer
						encounter = 15954,
					},
					{
						-- Heigan the Unclean
						encounter = 15936,
					},
					{
						-- Loatheb
						encounter = 16011,
					},
					{
						-- Instructor Razuvious
						encounter = 16061,
					},
					{
						-- Gothik the Harvester
						encounter = 16060,
					},
					{
						-- The Four Horsemen
						encounter = 16063,
						npcs = { 16063, 16064, 16065, 30549 }
					},
					{
						-- Patchwerk
						encounter = 16028,
					},
					{
						-- Grobbulus
						encounter = 15931,
					},
					{
						-- Gluth
						encounter = 15932,
					},
					{
						-- Thaddius
						encounter = 15928,
					},
					{
						-- Sapphiron
						encounter = 15989,
					},
					{
						-- Kel'Thuzad
						encounter = 15990,
					}
				}
			},
			{
				instance = "TheObsidianSanctum",
				encounters = {
					{
						-- Sartharion
						encounter = 28860,
						npcs = { 28860, 30449, 30451, 30452 }
					}
				}
			},
			{
				instance = "TheEyeOfEternity",
				encounters = {
					{
						-- Malygos
						encounter = 29655,
					}
				}
			}
		}
	},
	
	-- Wrath of the Lich King Dungeons
	{
		set = "WotlkDungeon",
		name = "WOTLK Dungeons",
		default = true,
		instances = {
			{
				instance = "UtgardeKeep",
				encounters = {
					{
						-- Prince Keleseth
						encounter = 23953,
					},
					{
						-- Skarvald & Dalronn
						encounter = 24200,
						npcs = { 24200, 24201 }
					},
					{
						-- Ingvar the Punderer
						encounter = 23954,
					}
				}
			}
		}
	},
	
	-- The Burning Crusade Raid
	{
		set = "TbcRaid",
		name = "TBC Raids",
		default = false,
		instances = {
		}
	},
	
	-- The Burning Crusade Dungeon
	{
		set = "TbcDungeon",
		name = "TBC Dungeons",
		default = false,
		instances = {
		}
	},
	
	-- Classic Raid
	{
		set = "ClassicRaid",
		name = "Classic Raids",
		default = false,
		instances = {
		}
	},
	
	-- Classic Dungeon
	{
		set = "ClassicDungeon",
		name = "Classic Dungeons",
		default = false,
		instances = {
		}
	}
}
